!c Description:
!c   ȿ뤿βؼ郎äƤ뤫Ƚ
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-05-31    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_chk_react
  interface
     
     subroutine chk_react(property, ssw, sw)
       use prm_type, only: type_property
       logical, intent(out), allocatable :: ssw(:) 
       logical, intent(out)              :: sw
       type(type_property), intent(in)   :: property(:)
     end subroutine chk_react

  end interface
end module interface_chk_react




subroutine chk_react(property, ssw, sw)
  use prm_type, only: type_property
  use interface_name_cnd2gas
  use interface_name2num

  implicit none
  logical, intent(out), allocatable :: ssw(:) 
  logical, intent(out)              :: sw
  type(type_property), intent(in)   :: property(:)

  integer(8)                        :: s, N
  integer(8)                        :: num
  logical                           :: csw(2)


!!!
!!!
!!!
  N = size(property, 1)
  if (allocated(ssw)) deallocate(ssw)
  allocate(ssw(N))
  ssw = .true.; sw = .false. 
  csw = .false.
  num = 0


!!!
!!! H2S + NH3 --> NH4SH ȿǤ뤫ݤ
!!!
  do s = 1, N
     if (trim(property(s)%name) == 'H2S-g')   csw(1) = .true. 
     if (trim(property(s)%name) == 'NH3-g')   csw(2) = .true. 
     if (trim(property(s)%name) == 'NH4SH-g') num = s
  end do

  if (count(csw) /= 2 .AND. num > 0) then 
     ssw(num) = .false. 
     sw = .true.
  end if
  
  
end subroutine chk_react

